<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
</head>

<body>

    <script>
        const usuarios = [{
                nome: 'Diego',
                idade: 23,
                empresa: 'Rocketseat'
            },
            {
                nome: 'Gabriel',
                idade: 15,
                empresa: 'Rocketseat'
            },
            {
                nome: 'Lucas',
                idade: 30,
                empresa: 'Facebook'
            },
        ];

        var idades = usuarios.map((item) => {
            return item.idade
        })
        console.log(idades);

        var users = usuarios.filter((item) => {
            return item.empresa == "Rocketseat" && item.idade > 18
        })
        console.log(users);

        var user = usuarios.find((item) => {
            return item.empresa == "Google" 
        })
        console.log(user);

        var mult = usuarios.map((item,index) => {
            item.idade *= 2
            return item 
        }).filter((item) =>{
            return item.idade <=50
        })
        console.log(mult);
        
    </script>
</body>

</html>